Bug 1277484 - (nette/nette) Review Request: php-nette - Nette Framework
Review Request: php-nette - Nette Framework
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On: nette/tester nette/neon nette/utils nette/tokenizer nette/finder nette/php-generator nette/component-model nette/di tracy/tracy latte/latte nette/caching nette/reflection nette/http nette/security nette/mail nette/robot-loader 1277441 nette/forms 1277470 nette/database nette/bootstrap nette/deprecated
Blocks: kdyby/events
  Show dependency treegraph
 
Reported: 2015-11-03 07:51 EST by Remi Collet
Modified: 2016-03-09 09:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-02 16:22:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+


Attachments (Terms of Use)
phpcompatinfo-full.php (5.74 KB, text/plain)
2016-02-22 07:56 EST, Shawn Iwinski
no flags Details
phpcompatinfo-lib.php (951 bytes, text/plain)
2016-02-22 07:56 EST, Shawn Iwinski
no flags Details
fedora-review.txt (7.80 KB, text/plain)
2016-02-22 07:57 EST, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2015-11-03 07:51:47 EST
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/f1124e906d8759cb3536917e32fdc2185faac5cb/php/nette/php-nette/php-nette.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-nette-2.3.7-1.remi.src.rpm
Description: 
Nette Framework is a popular tool for PHP web development
It is designed to be as usable and as friendly as possible.
It focuses on security and performance and is definitely one
of the safest PHP frameworks.

Nette Framework speaks your language and helps you to easily build better websites.
Cache accelerates your application by storing data, once hardly retrieved,
for future use.

To use this library, you just have to add, in your project:
  require_once '/usr/share/php/Nette/autoload.php';

Fedora Account System Username: remi
Comment 2 Remi Collet 2015-12-04 02:21:48 EST
All the reviews and already approved packages are updated to match minimal version required by this meta package.
Comment 3 Upstream Release Monitoring 2015-12-06 13:50:33 EST
pbrobinson's scratch build of php-nette-php-generator?#27aa0e4b766e380ae39ab910d4d0d7255a7172fc for epel7-archbootstrap and git://pkgs.fedoraproject.org/php-nette-php-generator?#27aa0e4b766e380ae39ab910d4d0d7255a7172fc completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12090326
Comment 4 Shawn Iwinski 2016-02-22 07:56 EST
Created attachment 1129305 [details]
phpcompatinfo-full.php

phpCompatInfo version 5.0.0 DB built Jan 09 2016 15:36:21 CET
Comment 5 Shawn Iwinski 2016-02-22 07:56 EST
Created attachment 1129306 [details]
phpcompatinfo-lib.php

phpCompatInfo version 5.0.0 DB built Jan 09 2016 15:36:21 CET
Comment 6 Shawn Iwinski 2016-02-22 07:57 EST
Created attachment 1129307 [details]
fedora-review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1277484
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 7 Shawn Iwinski 2016-02-22 07:57:30 EST
[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/php/Nette(php-
     nette-utils, php-nette-tokenizer, php-nette-safe-stream, php-nette-
     neon)
Comment 9 Shawn Iwinski 2016-02-22 09:13:29 EST
[x]: Package does not own files or directories owned by other packages.



[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import.



No blockers.

===== APPROVED =====
Comment 10 Gwyn Ciesla 2016-02-22 09:43:08 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/php-nette
Comment 11 Fedora Update System 2016-02-22 10:42:46 EST
php-nette-2.3.9-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ab6c547355
Comment 12 Fedora Update System 2016-02-22 10:42:47 EST
php-nette-2.3.9-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8a21d82c75
Comment 13 Fedora Update System 2016-02-22 10:42:48 EST
php-nette-2.3.9-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8a21d82c75
Comment 14 Fedora Update System 2016-02-22 10:42:50 EST
php-nette-2.3.9-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8a21d82c75
Comment 15 Fedora Update System 2016-02-22 10:42:52 EST
php-nette-2.3.9-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d9c8a9ad7f
Comment 16 Fedora Update System 2016-02-22 10:42:54 EST
php-nette-2.3.9-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-22d9369b13
Comment 17 Fedora Update System 2016-02-22 16:20:17 EST
php-nette-2.3.9-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-22d9369b13
Comment 18 Fedora Update System 2016-02-22 21:20:53 EST
php-nette-2.3.9-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d9c8a9ad7f
Comment 19 Fedora Update System 2016-02-22 21:52:11 EST
php-nette-2.3.9-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8a21d82c75
Comment 20 Fedora Update System 2016-02-23 10:20:00 EST
php-nette-2.3.9-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ab6c547355
Comment 21 Fedora Update System 2016-03-02 16:22:56 EST
php-nette-2.3.9-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2016-03-02 16:51:16 EST
php-nette-2.3.9-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2016-03-09 09:27:23 EST
php-nette-2.3.9-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2016-03-09 09:59:41 EST
php-nette-2.3.9-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.